function [F,DF,HF,x0] = F14(x,m)
% Beispiel F14
n=m;

DF=zeros(1,n);
HF=zeros(n,n);
for i=1:n/2
    x0(2*i-1)=-1.2;
    x0(2*i)=1;
end    


F=0;
for i=1:n/2
  x1=x(2*i-1);
  x2=x(2*i);
  f1=10*(x2-x1^2);
  f2=(1-x1);
  n1=[-20*x1 10];
  n2=[-1 0];
  H=[-20 0;0 0];
  F=F+f1^2+f2^2;
  
  DFk=2*f1*n1+2*f2*n2;
  HFk=2*f1*H+2*n1'*n1+2*n2'*n2;
  DF(2*i-1:2*i)=DF(2*i-1:2*i)+DFk;
  HF(2*i-1:2*i,2*i-1:2*i)=HF(2*i-1:2*i,2*i-1:2*i)+HFk;

end

end

