iart=menu('Welche Funktion?','F2','F3','F4','F5','F10','F11','F14','F16','F17','x^4+y^4','(x+1)(x+2)e^-x');
k=menu('Genauigkeit?','10^-3','10^-6','10^-9','10^-12','10^-15','10^-18');
eps=10^(-3*k);
l=menu('max Iterationszahlen','10','100','1000','10000');
meth=menu('Welches Verfahren?','Lok. Newton','Gradienten','Glob Newton');
if (meth>1)
    lb=menu('Wahl von beta','1/2','2/3','3/4','4/5');
    ls=menu('Wahl von sigma','1','1/10','1/10^2','10^-3','10^-4');
    beta=lb/(lb+1);
    sigma=10^(-ls+1);
end    


itmax=10^l;
m=1;
switch iart
    case 1
        m1=menu('m','6','10','14','18');
        m=4*m1+2;
        n=6;
    case 2
        n=3;
    case 3
        n=2;
    case 4
        m1=menu('m','3','4','5','6');
        m=m1+2;    
        n=3;
    case 5
        n=2;
    case 6
        m1=menu('m','4','6','8','10');
        m=2*m1+2;       
        n=4;
    case 7
        m1=menu('m','2','4','6','8');
        m=2*m1;            
        n=m;
    case 8
        n=2;
    case 9
        n=4;
    case 10
        n=2;
    case 11
        n=1;
end
if (meth==1)
  [x,Fmin,Y] = Newton(itmax,iart,eps,m,n);
elseif (meth==2)  
  [x,Fmin,Y] = Gradient(itmax,iart,eps,m,n,sigma,beta);
else
  [x,Fmin,Y] = GlobalNewton(itmax,iart,eps,m,n,sigma,beta); 
end  


if (n==2)
    m1=100;
    h=1/m1;
    y=[0:10*h:10];
    z=[0:10*h:10];
    for i=1:m1+1
        for j=1:m1+1
          [x0,F(i,j),DF,HF] = evalfunction([y(i),z(j)],m,iart);
        end
    end
    surf(y,z,F);
    pcolor(F);
    set(gca,'Fontsize',16,'Fontname','Times')

    plot(Y(:,1),Y(:,2),'rx:','linewidth',2);
    
end    
if (n==3)
    set(gca,'Fontsize',16,'Fontname','Times')
    plot3(Y(:,1),Y(:,2),Y(:,3),'rx:','linewidth',2);
end    
  